<template>
    <v-container fluid fill-height>
        <v-layout align-center justify-center>
            <v-flex xs12 sm8 md4>
            <v-card class="elevation-12">
                <v-toolbar dark color="primary">
                <v-toolbar-title>Login form</v-toolbar-title>
                <v-spacer></v-spacer>
                </v-toolbar>
                <v-card-text>
                <v-form @submit.prevent="login">
                    <v-text-field prepend-icon="person" name="login" label="Login" v-model="username" type="text"></v-text-field>
                    <v-text-field id="password" prepend-icon="lock" name="password" v-model="password" label="Password" type="password"></v-text-field>
                </v-form>
                </v-card-text>
                <v-card-actions>
                <v-spacer></v-spacer>
                <v-btn color="primary" type="submit" @click.native="login">Login</v-btn>
                </v-card-actions>
            </v-card>
            </v-flex>
        </v-layout>
    </v-container>
</template>
<script>
export default {
  data: () => ({
    username: '',
    password: ''
  }),
  methods: {
    login () {
      this.$store.dispatch('userReport/login', { email: `${this.username}`, password: `${this.password}` })
    }
  }
}
</script>
